
Foreman - Feature #3817

As a user I want to set user permissions using API

12/05/2013 09:54 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: API   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Feature #812: cant assign roles to groups, just to users Closed 03/31/2011

Related to Hammer CLI - Feature #4004: Add commands for managing Permissions Resolved 01/13/2014

Blocks Hammer CLI - Feature #2922: Add commands for managing Roles Closed 08/13/2013

History

#1 - 12/05/2013 09:54 AM - Marek Hulán

- Related to Feature #812: cant assign roles to groups, just to users added

#2 - 01/13/2014 04:42 PM - Marek Hulán

- Related to Feature #4004: Add commands for managing Permissions added

#3 - 01/13/2014 04:43 PM - Tomáš Strachota

- Blocks Feature #2922: Add commands for managing Roles added

#4 - 01/22/2014 02:29 PM - Marek Hulán

- Status changed from New to Assigned

- Assignee set to Marek Hulán

First version is in PR#1070 but it may change according to taxonomies changes.

#5 - 03/03/2014 01:03 PM - Dominic Cleal

- Category set to API

- Status changed from Assigned to Ready For Testing

- Target version set to 1.9.0

#6 - 03/03/2014 02:35 PM - Dominic Cleal

- % Done changed from 0 to 100

- translation missing: en.field_release set to 4

- Status changed from Ready For Testing to Closed

Fixed via #812 for Foreman 1.5.0.
